***********************************************************************************************************************
***************************************** BIBB JoSuA-Template V8 - November 2021 **************************************
***********************************************************************************************************************

cap log close                            // Verwenden Sie diesen Befehl unmittelbar vor dem Oeffnen eines neuen Log-File
log using "$jout/01_teildatensatz.log", replace    // Geben Sie dem Log-File den gleichen Namen wie dem Do-File


*Informationen und Einstellungen zum Do-File 

**Autor*in: 	Maxi Muster 
**Datum: 		04.05.2050
**Dateiname: 	01_teildatensatz.do



//Hinweis: 
	*Sie koennen die folgenden Beispiele auch in Ihrer Testumgebung durchlaufen lassen. 
	*Nutzen Sie dazu die Spieldaten zum BIBB Qualifizierungspanel 2017, die Sie in unserem Metdatenportal 
        *unter https://metadaten.bibb.de/de/dataset/detail/144
	*herunterladen koennen. Benennen Sie die Spieldaten in "Qualifizierungspanel_2017_gwa.dta" um.

**Datensatz oeffnen 
use "$jrsc/Qualifizierungspanel_2017_gwa.dta", clear


**benoetigte Variablen auswählen 

keep ///
id2 /// Identifikationsnummer 
hr2017q /// Gewichtungsfaktor 
ps001zwiw2017 /// Anzahl der Beschäftigten
bra2017 /// Branchenzugehoerigkeit
ausb2017 /// Ausbildungsbetrieb
ab004_b1w2017 // Anzahl der Azubis

//Hinweis: 
	*Wenn Sie, wie in diesem Beispiel, zur besseren Übersichtlichkeit Stata-Befehle mit /// umbrechen,
	*darf am Ende der letzen Zeile des Befehls kein /// mehr stehen,
	*da Stata sonst den Zeilenumbruch bzw. das Ende des Befehls nicht erkennt.
	

** Missings setzen 
**ab004_b1w2017
replace  ab004_b1w2017 =. if ab004_b1w2017<0
replace  ab004_b1w2017 =. if ab004_b1w2017>200

** Variablen bilden 
*** Anzahl der Azubis - kategorisiert 
gen azubis = 0 
replace azubis = 1 if ab004_b1w2017 == 1
replace azubis = 2 if ab004_b1w2017 >1 & ab004_b1w2017 <=3
replace azubis = 3 if ab004_b1w2017 >3 & ab004_b1w2017 <=7
replace azubis = 4 if ab004_b1w2017 >7 & ab004_b1w2017 < .
lab def azubis 0 "keine Azubis 2016" 1 "ein Azubi" 2 "2-3 Azubis" 3 "4-7 Azubis" 4 "mehr als 7 Azubis"
lab val azubis azubis 
lab var azubis "Anzahl der Azubis zum 21.12.2016 kategorisiert"
tab azubis 

**** Dummy Betriebsgroeße >= 250 
gen kmu = 0 
replace kmu = . if ps001zwiw2017 <0
replace kmu = 1 if ps001zwiw2017 >= 250 
lab def kmu 0 "kleine/mittlere Betriebe" 1 "große Betriebe"
lab val kmu kmu 
lab var kmu "Dummy KMU"
tab kmu 


** Arbeitsdatensatz speichern 
*compress                                    // Optional: Automatisch optimale Datentypen für alle Variablen zuweisen

save "$jdata/01_teildatensatz.dta", replace  //Arbeitsdatensatz im Ordner 'jdata' speichern. 

// Künftige Jobs koennen die Datei 01_teildatensatz.dta im Verzeichnis jdata verwenden. 


** log schließen
clear
log close
