***********************************************************************************************************************
***************************************** BIBB JoSuA-Template V8 - November 2021 ****************************************
***********************************************************************************************************************

*Informationen und Einstellungen zum Do-File 

**Autor*in: 	Maxi Muster 
**Projekt: 		Testprojekt
**Datum: 		04.05.2050
**Dateiname: 	master.do

version 16          // Verwenden Sie die aktuell auf JoSuA installierte Stata-Version (16), um Fehler zu vermeiden, falls
					// Sie eine neuere Stata-Version in Ihrer Testumgebung auf dem eigenen Computer installiert haben, 
                    // stellen Sie ältere Versionen (<16) ein, wenn Sie in Ihrer Testumgebung eine ältere Stata-Version nutzen. 
clear
set more off 		// notwendig damit das Programm durchlaeuft

set linesize 120 	// Max.Zeilenlaenge Internal Use
*set linesize 255 	// Max.Zeilenlaenge Presentation/Publication

/*Hinweis: 
	- Verwenden Sie an dieser Stelle noch nicht den Befehl "capture log close". 
	- Nutzen Sie diesen Befehl erst direkt vor dem Öffnen einer neuen Log-Datei!
    - (Wenn Sie das tun, werden alle Fehler, die vor dem ersten "log open"-Befehl aufgetreten sind, nicht angezeigt.) */


**Aufrufen der Do-Files mit den Auswertungsschritten
/* Hinweise:
	- Die Nummerierung Ihrer Do-Files ist obligatorisch!
	- Optional: Die Aufnahme Ihrer Initialen in den Namen der Do-Files hilft Ihnen bei der Zusammenarbeit im Projekt.
	- Dateinamen dürfen keine Sonderzeichen oder Leerzeichen enthalten.
	- Der Befehl #delimit ist aus technischen Gründen gesperrt. 
		*Nutzen Sie für einen Zeilenumbruch innerhalb eines Befehls stattdessen /// oder /* */
	- Verwenden Sie nur eines der vordefinierten Globals $jrsc oder $jdata für den use Befehl. */
		
do "$jprog/01_teildatensatz.do" 	// Datensatz mit den Variablen für die Auswertungen, bilden eigener Variablen
do "$jprog/02_deskriptiv.do" 	// deskriptive Statistiken berechnen 
do "$jprog/03_analysen.do" 	// multivariate Regressionen 
do "$jprog/04_plot.do" 		// Abbildungen 


/* Hinweis: 
	- Die Aufteilung der Auswertungssschritte in die verschiedenen Do-Files ist nur ein Beispiel. 
	- Sie können in Ihren Analysen die Auswertungsschritte frei verschiedenen Do-Files zuordnen. 
	- Beispielsweise könnte auch ein gutes Vorgehen sein, Grafiken immer unmittelbar nach den entsprechenden Tabellen 
	- oder Modellen abzubilden, in deren Kontext sie benötigt werden. */
			

log using "$jout/filelist.log", replace // Log-File für die Dateiliste öffnen

**Ausgabe einer Dateiliste 

/*Hinweis: 
	Die Dateiliste beinhaltet alle Dateinamen. 
	Es sind auch die genauen Bezeichnungen der für Sie im Verzeichnis $jrsc abgegelegten Originaldaten enthalten.
	Gleichen Sie diese Dateinamen mit den Bezeichnungen der Spieldaten in Ihrer Testumgebung ab 
	und benennen Sie die Dateien in Ihrer Testumgebung um, sodass die Datensätze **genau gleich** benannt sind. 
	Andernfalls werden Ihre Do-Files auf JoSuA nicht durchlaufen. */
	
dir "$jprog/"
dir "$jout/"
dir "$jdata/"
dir "$jrsc/"

log close 


 
	
